%define libname pygtkmoz

Summary: Python wrapper for the GtkMozembedWidget
Name: python-gtkmoz
Version: 0.1
Release: 3mdk
Source: %{libname}-%{version}.tar.bz2
Patch1:  pygtkmoz-0.1-methnames.patch.bz2 
License: LGPL
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: pygtk2.0-devel
BuildRequires: mozilla-devel
Requires: python 
Requires: pygtk2.0
Requires: mozilla
Provides: pygtkmoz
Obsoletes: pygtkmoz
Url: http://pygtkmoz.sourceforge.net/

%description
Python wrapper for the GtkMozembedWidget

%prep
%setup -q -n %{libname}-%{version}
%patch1 -p1 -b .methnames

%build
%make
python%{pyver} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python%{pyver} setup.py install --prefix=%{buildroot}/%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README example.py
%{_libdir}/python%{pyver}/site-packages/gtkmoz.so

%changelog
* Fri May 20 2005 Lenny Cartier <lenny@mandriva.com> 0.1-3mdk
- only requires python

* Thu Dec 9 2004 Tigrux <tigrux@ximian.com> 0.1-2mdk
- Package pygtkmoz renamed to python-gtkmoz as suggested in #mdk-cooker

* Mon Nov 22 2004 Tigrux <tigrux@ximian.com> 0.1-1mdk
- First RPM for Mandrake
